<?php
#Автор - TheAlex
#Модуль - газета
#Php-Zona.Ru
#2014 год
$title = 'Редактирование новостей газеты';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!$user['id'] or $user['journal'] < 1) {
	echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
$id = abs(intval($_GET['id']));
$news1 = mysql_fetch_assoc(mysql_query("SELECT * FROM `gazeta_n` WHERE `id` = '".$id."'"));
if(isset($_POST['ok'])) {
	$name=strong($_POST['name']);
	$news=strong($_POST['news']);

	mysql_query("UPDATE `gazeta_n` SET `name`='".$name."' WHERE `id`='".$id."'");
	mysql_query("UPDATE `gazeta_n` SET `news`='".$news."' WHERE `id`='".$id."'");
	echo '<div class="podmenu"><font color="green">Раздел успешно изменен! <a href="index.php">Вернуться</a></font></div>';
}


echo '<div class="podmenu"><form action="" method="POST">
Название:<br/>
<input type="text" name="name" value="'.$news1['name'].'"><br/>
Текст:<br/>
<textarea name="news">'.$news1['news'].'</textarea></br>
<input type="submit" name="ok" value="Изменить">
</form></div>';

require_once ('../system/footer.php');
?>